import doxscrapers.sites.base
import dateutil.parser


class CloudNineDoxScraper(doxscrapers.sites.base.TorDoxScraper):


    def __init__(self, marshaller_host):
        super(CloudNineDoxScraper, self).__init__(3, marshaller_host, "cloudnine")


    def items_in_index(self, proxy=None):
        index_url = "http://cloudninetve7kme.onion/view.php"

        document = self._dom_for_url(index_url)
        if document is None:
            return None

        rows = document.select("table tbody tr")
        all_details = []
        for row in rows:
            details = {}
            cells = row.find_all("td")

            main_link = cells[0].find("a")

            details['title'] = ''
            details['key'] = main_link.get('alt')
            details['full_url'] = "http://cloudninetve7kme.onion/" + main_link.get('href')

            date_cell = cells[1]
            date_string = date_cell.get_text()

            time_cell = cells[2]
            time_string = time_cell.get_text()

            full_ts_string = "{} {}".format(date_string, time_string)
            details['added_on'] = dateutil.parser.parse(full_ts_string).strftime("%s")

            author_cell = cells[4]
            author_string = author_cell.get_text().strip()

            if author_string == "-":
                author_string = ""
            details["user"] = author_string

            all_details.append(details)
        return all_details
