import argparse
import codecs
import random
from sklearn import metrics
from doxclassifier.classifier import dox_classifier


parser = argparse.ArgumentParser(description="Test the accuracy of our dummy "
                                             "dox classifier")
parser.add_argument("-d", "--dox", required=True,
                    help="A file containing a list of files that contain "
                         "examples of dox-es")
parser.add_argument("-n", "--false", required=True,
                    help="A file containing a list of files that contain "
                         "examples no non-dox dumps")
args = parser.parse_args()

true_examples = [("dox", row.strip("\n")) for row in codecs.open(args.dox)]
false_examples = [("not", row.strip("\n")) for row in codecs.open(args.false)]

all_examples = true_examples + false_examples
num_examples = len(all_examples)

random.shuffle(all_examples)

num_training_examples = int(num_examples * .66)
training_examples = all_examples[:num_training_examples]
training_labels, training_data = zip(*training_examples)

target_examples = all_examples[num_training_examples:]
target_labels, target_data = zip(*target_examples)

dox_predictor = dox_classifier(training_data, training_labels)

predicted = dox_predictor.predict(target_data)
print metrics.classification_report(target_labels, predicted)
